Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Sig_Adapter Class Reference

Provide an adapter that transforms various types of signal handlers into the scheme used by the . More...

`#include <Signal.h>`

Inheritance diagram for ACE_Sig_Adapter

[legend]
Collaboration diagram for ACE_Sig_Adapter:

[legend]
List of all members.

## Public Methods
| ACE_Sig_Adapter (ACE_Sig_Action &, int sigkey)
| ACE_Sig_Adapter (ACE_Event_Handler *, int sigkey)
| ACE_Sig_Adapter (ACE_Sig_Handler_Ex, int sigkey = 0)
| ~ACE_Sig_Adapter (void)
int | sigkey (void)
| Returns this signal key that's used to remove this from the 's internal table.
virtual int | handle_signal (int, siginfo_t *, ucontext_t *)
| Called by the <Reactor> to dispatch the signal handler.
## Private Types
enum | { ACE_HANDLER, SIG_ACTION, C_FUNCTION }
| Is this an external handler or an ACE handler? More...
## Private Attributes
int | sigkey_
| Key for this signal handler (used to remove it).
enum ACE_Sig_Adapter:: { ... } | type_
| Is this an external handler or an ACE handler?
ACE_Sig_Action | sa_
| This is an external handler (ugh).
ACE_Event_Handler* | eh_
| This is an ACE hander.
ACE_Sig_Handler_Ex | sig_func_
| This is a normal C function.

## Detailed Description

Provide an adapter that transforms various types of signal handlers into the scheme used by the .

## Member Enumeration Documentation

anonymous enum`[private]`

  | Is this an external handler or an ACE handler? Enumeration values:
  ACE_HANDLER | We're just wrapping an ACE_Event_Handler.
  SIG_ACTION | An ACE_Sig_Action.
  C_FUNCTION | A normal C function.

## Constructor & Destructor Documentation

ACE_Sig_Adapter::ACE_Sig_Adapter ( | ACE_Sig_Action & sa,
| int sigkey )

ACE_Sig_Adapter::ACE_Sig_Adapter ( | ACE_Event_Handler * eh,
| int sigkey )

ACE_Sig_Adapter::ACE_Sig_Adapter ( | ACE_Sig_Handler_Ex sig_func,
| int sigkey = 0 )

ACE_INLINE ACE_Sig_Adapter::~ACE_Sig_Adapter ( | void )

## Member Function Documentation

int ACE_Sig_Adapter::handle_signal ( | int signum,
| siginfo_t * siginfo,
| ucontext_t * ucontext )`[virtual]`

| Called by the <Reactor> to dispatch the signal handler. Reimplemented from ACE_Event_Handler.

int ACE_Sig_Adapter::sigkey ( | void )

| Returns this signal key that's used to remove this from the 's internal table.

## Member Data Documentation

ACE_Event_Handler * ACE_Sig_Adapter::eh_`[private]`

| This is an ACE hander.

ACE_Sig_Action ACE_Sig_Adapter::sa_`[private]`

| This is an external handler (ugh).

ACE_Sig_Handler_Ex ACE_Sig_Adapter::sig_func_`[private]`

| This is a normal C function.

int ACE_Sig_Adapter::sigkey_`[private]`

| Key for this signal handler (used to remove it).

enum { ... } ACE_Sig_Adapter::type_`[private]`

| Is this an external handler or an ACE handler?

The documentation for this class was generated from the following files:

- Signal.h
- Signal.cpp
- Signal.i